Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154366 - Nautilus scrolls the window when a user presses F2 to rename
Summary: Nautilus scrolls the window when a user presses F2 to rename
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 07:17 UTC by Stephen Warren
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: nautilus-2.20.0-6.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-11 22:21:33 UTC


Attachments (Terms of Use)

Description Stephen Warren 2005-04-11 07:17:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Nautilus scrolls the right-pane when a file is selected and the user presses F2 to rename it, even though the selected item is already visible.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open a nautilus window on a directory with enough entries to require a vertical scroll-bar. Ensure "View as List" is selected as the view mode.
2. Wait for all file information to be filled in (e.g. directory "Size" entries) - just to eliminate interaction with the bugs with asynchronous updates.
3. Scroll the list to the very top, so the first entry is visible.
4. Select, say, entry 5 in the list of files.
5. Press F2 to rename that file
  

Actual Results:  The right pane is scrolled so that the selected file is the very first row visible, and rename mode is entered.

Expected Results:  Rename mode should be entered without scrolling the view. There's no need to scroll, because the selected file is already visible, and the scrolling is very annoying - the window scrollbar is already position where the user wants it.

Additional info:

Comment 1 Matthew Miller 2006-07-10 21:08:55 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Stephen Warren 2007-11-11 22:21:33 UTC
Closing; fixed in F8


Note You need to log in before you can comment on or make changes to this bug.